MetaCPAN::Client::Pod(3pm)

NAME
MetaCPAN::Client::Pod - A Pod object

VERSION
version 2.044000

SYNOPSIS
  use strict;
  use warnings;
  use MetaCPAN::Client;

  my $pod = MetaCPAN::Client->new->pod('Moo');

  print $pod->html;

DESCRIPTION
A MetaCPAN pod entity object.

ATTRIBUTES

  request
A MetaCPAN::Client::Request object (created in MetaCPAN::Client)

  name
The name of the module (probably always the value passed to the pod() method)

  url_prefix
Prefix to be passed through the url_prefix query parameter to the 'pod' endpoint

  x_pod
The raw pod extracted from the file.

  html
Formatted as an HTML chunk (No <html>...<body>)

  x_markdown
Converted to Markdown.

  plain
Formatted as plain text.

Get the plaintext version of the documentation

  $pod = MetaCPAN::Client->new->pod( "MetaCPAN::Client" );
  print $pod->plain;

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.